#
# spec file for package kpat
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kpat
Summary:        Patience card game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Card
Url:            http://www.kde.org
Version:        15.08.1
Release:        0
Source0:        kpat-%{version}.tar.xz
BuildRequires:  libkdegames-devel
BuildRequires:  update-desktop-files
BuildRequires:  extra-cmake-modules
BuildRequireS:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  ki18n-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kcompletion-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kio-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  knewstuff-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  kdelibs4support-devel
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       kdegames-carddecks-default

%description
KPatience is a collection of various patience games known all over the
world. It includes Klondike, Freecell, Yukon, Forty and Eight and many
more. The game has nice graphics and many different carddecks.

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file -r org.kde.kpat          Game CardGame

%post
/usr/bin/update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :

%postun
/usr/bin/update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kf5_bindir}/kpat
%{_kf5_htmldir}/en/kpat/
%{_kf5_applicationsdir}/org.kde.kpat.desktop
%dir %{_kf5_iconsdir}/hicolor/24x24
%dir %{_kf5_iconsdir}/hicolor/24x24/apps
%dir %{_kf5_iconsdir}/hicolor/256x256
%dir %{_kf5_iconsdir}/hicolor/256x256/apps
%dir %{_kf5_iconsdir}/hicolor/64x64
%dir %{_kf5_iconsdir}/hicolor/64x64/apps
%{_kf5_iconsdir}/hicolor/*/apps/kpat.*
%{_kf5_appsdir}/kpat/
%{_kf5_libdir}/libkcardgame.so
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/kpat.kcfg
%{_kf5_configdir}/kcardtheme.knsrc
%{_kf5_configdir}/kpat.knsrc
%{_datadir}/mime/packages/kpatience.xml
%_kf5_kxmlguidir/kpat/


%changelog
